
From: Petr Vandrovec <vandrove@vc.cvut.cz>

i2c initialization must not use module_init now, when it was converted
to the kobject interface. There are dozens of users which need it working
much sooner. i2c is subsystem after all, isn't it?

Fixes kernel oopses in kobject_get during system init which were happening
to me.



 25-akpm/drivers/i2c/i2c-core.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/i2c/i2c-core.c~i2c-fix drivers/i2c/i2c-core.c
--- 25/drivers/i2c/i2c-core.c~i2c-fix	Fri Mar 21 16:54:04 2003
+++ 25-akpm/drivers/i2c/i2c-core.c	Fri Mar 21 16:54:04 2003
@@ -675,7 +675,7 @@ static void __exit i2c_exit(void)
 	bus_unregister(&i2c_bus_type);
 }
 
-module_init(i2c_init);
+subsys_initcall(i2c_init);
 module_exit(i2c_exit);
 
 /* ----------------------------------------------------

_
